package universe
package gui

import javax.swing.table.AbstractTableModel

class BoardModel(val world: World) extends AbstractTableModel {
  def getRowCount = world.height
  def getColumnCount = world.width
  def getValueAt(row: Int, col: Int) = world.board(row, col)
}

// vim: set ts=4 sw=4 et:
