package universe.animal

import scala.util._

trait CarnivoreFemale extends Carnivore with Female {

  def createChild(range: Int, maxAge: Int) = {
    if(Random.nextBoolean)
      new Carnivore(world, range, maxAge) with CarnivoreMale
    else
      new Carnivore(world, range, maxAge) with CarnivoreFemale
  }

  override def symbol =
    if (child != null) {
      "$"    // $he pregnant Female
    } else if (isFertile) {
      "S"   //  She female
    } else { 
      "s"   //  she girl
    } 
}

// vim: set ts=4 sw=4 et:
