package universe
package gui

import plant._

import scala.swing._
import javax.swing.ImageIcon

trait PlantRenderer extends GuiBoard {
  abstract override def renderElement(be: BoardElement) =
    be match {
      case p: Plant => 
        val icon = getClass.getResource("/img/plant.png")
        new Label(null, new ImageIcon(icon, "Age: " + p.age + "\nSize: " + p.size), Alignment.Center)
      case _ => super.renderElement(be)
    }
}

// vim: set ts=4 sw=4 et:
