package universe

import gui._
import scala.swing._

object UniverseGui extends SimpleSwingApplication {
  def top = new MainFrame {
    title = "Universe GUI"
    contents = new BorderPanel {

      import BorderPanel.Position

      layout(board) = Position.Center
      layout(buttons) = Position.North
    }

//    lazy val board = new ScrollPane {
//      viewportView = new GuiBoard(new World(35, 20)) with HerbivoreRenderer with PlantRenderer
//      columnHeaderView = None
//    }
    lazy val board = new GuiBoard(new World(35, 20)) with HerbivoreRenderer with PlantRenderer
    lazy val buttons = new BoxPanel(Orientation.Horizontal) {
      contents += new Button(Action("Start/Resume") {
        /*val board=wrld.board
        val center=new Pos(board.width/2,board.height/2)
        val inner=if (board.width>board.height) board.height else board.width
        for (i <-1 to 5) {
          val m_pos=center.random_around(3,inner/3)
          val f_pos=center.random_around(3,inner/3)
          
          board.moveTo(m_pos,
           new Herbivore(wrld,true,5,100))
          board.moveTo(f_pos,
           new Herbivore(wrld,false,3,120))
          new Plant(wrld,null,80)
          new Plant(wrld,null,60)
          new Plant(wrld,null,40)
        }*/

      })
      contents += new Button("Restart")
    }

    maximize()
  }
}

// vim: set ts=4 sw=4 et:
