package universe.animal

import scala.util._

trait HerbivoreFemale extends Herbivore with Female {

  def createChild(range: Int, maxAge: Int) = {
    if(Random.nextBoolean)
      new Herbivore(world, range, maxAge) with HerbivoreMale
    else
      new Herbivore(world, range, maxAge) with HerbivoreFemale
  }

  override def symbol =
    if (child != null) {
      "F"
    } else if (isFertile) {
      "f" 
    } else { 
      "g"
    }

}

// vim: set ts=4 sw=4 et:
