package universe
package handler

import universe.animal.Animal
import universe.plant.Plant
import universe.BoardElement

trait AnimalDiedHandler {
  def handle_animalDied(an : Animal)
}

trait AnimalBornHandler {
  def handle_animalBorn(an : Animal)
}

trait AnimalTargetReachedHandler {
  def handle_animalTargetReached(be : BoardElement)
}

trait AnimalAnimalReachedHandler {
  def handle_animalAnimalReached(animal : Animal)
}

trait AnimalPlantReachedHandler {
  def handle_animalPlantReached(plnt : Plant)
}

trait AnimalSameSpeciesReachedHandler {
  def handle_animalSameSpeciesReachedHandler(animal : Animal)
}

trait AnimalOtherSpeciesReachedHandler {
  def handle_animalOtherSpeciesReachedHandler(animal : Animal)
}

trait AnimalKilledHandler {
  def handle_animalKilled()
}

trait AnimalShouldDieHandler {
  def handle_animalShouldDie()
}
