package universe
package handler

import universe.plant.Plant


trait PlantGerminatedHandler {
  def handle_plantGerminated(pl : Plant)
}

trait PlantPlantGerminatedHandler {
  def handle_plant_plantGerminated(pl : Plant)
}

trait PlantPlantDisappearedHandler {
  def handle_plant_plantDisappeared(pl : Plant)
}


trait PlantDiedHandler {
  def handle_plantDied(pl : Plant)
}

trait PlantShouldDieHandler {
  def handle_plantShouldDie()
}

trait PlantKilledHandler {
  def handle_plantKilled()
}

trait PlantShouldExpandHandler {
  def handle_plantShouldExpand()
}
